Steerd API
Invoices

Get an invoice

One invoice with its lines, VAT breakdown and recipient address. Once finalized (`finalized_at` set) every field the document prints is sealed and never changes again; a draft reports what it would print today.

GET
/api/public/v1/invoices/{id}

One invoice with its lines, VAT breakdown and recipient address. Once finalized (finalized_at set) every field the document prints is sealed and never changes again; a draft reports what it would print today.

AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v1/invoices/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "attach_timesheet": true,  "buyer_reference": "string",  "cancelled_at": "string",  "corrective_invoice_id": "73050fdc-9b42-4289-8b55-b41cb18e6141",  "corrective_invoice_number": "string",  "created_at": "string",  "currency": "EUR",  "delivery": null,  "due_date": "string",  "e_invoice_profile": null,  "e_invoice_required": false,  "exemption_reason": "string",  "finalized_at": "string",  "has_e_invoice": false,  "has_pdf": true,  "has_timesheet": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "issue_date": "string",  "issue_date_mode": "finalization",  "items": [    {      "amount_cents": 0,      "description": "string",      "discount_pct": 0,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "position": -9007199254740991,      "quantity_hundredths": 1,      "source": "manual",      "tax_category": "S",      "tax_rate_bp": 0,      "unit": "hour",      "unit_label": "string",      "unit_price_cents": 0    }  ],  "language": "de",  "notes": "string",  "number": "string",  "paid_at": "string",  "payment_terms_days": 0,  "purchase_order_reference": null,  "recipient": {    "buyer_identifier": "string",    "buyer_identifier_scheme": "string",    "city": "string",    "country": "string",    "electronic_address": "string",    "electronic_address_scheme": "string",    "establishment_country": "string",    "line2": "string",    "name": "string",    "postal_code": "string",    "recipient_kind": "business",    "region": null,    "requires_xrechnung": true,    "street": "string",    "vat_id": "string"  },  "recipient_name": "string",  "recipient_org_id": "ee511059-8f6b-4913-8e7c-47346e5506a9",  "related_invoice_id": "d96bbb55-4899-4574-89d2-c52d4e9142fb",  "related_invoice_issue_date": "string",  "related_invoice_number": "string",  "revision": 0,  "service_period_end": "string",  "service_period_start": "string",  "status": "draft",  "subtotal_net_cents": -9007199254740991,  "tax_total_cents": -9007199254740991,  "tax_treatment": "string",  "total_gross_cents": -9007199254740991,  "type": "invoice",  "vat_breakdown": [    {      "category": "S",      "net_cents": -9007199254740991,      "rate_bp": -9007199254740991,      "tax_cents": -9007199254740991    }  ]}
{  "detail": {    "property1": "string",    "property2": "string"  },  "error": {    "code": "string",    "current": 0,    "feature": "api_access",    "limit": 0,    "message": "string",    "plan": "free",    "resource": "projects",    "upgrade_to": "free"  }}